import request from '@/utils/request'

// 查询三级专业列表
export function listSyMajorMajor(query) {
  return request({
    url: '/sy/syMajorMajor/list',
    method: 'get',
    params: query
  })
}

// 查询三级专业详细
export function getSyMajorMajor(id) {
  return request({
    url: '/sy/syMajorMajor/' + id,
    method: 'get'
  })
}

// 新增三级专业
export function addSyMajorMajor(data) {
  return request({
    url: '/sy/syMajorMajor',
    method: 'post',
    data: data
  })
}

// 修改三级专业
export function updateSyMajorMajor(data) {
  return request({
    url: '/sy/syMajorMajor',
    method: 'put',
    data: data
  })
}

// 删除三级专业
export function delSyMajorMajor(id) {
  return request({
    url: '/sy/syMajorMajor/' + id,
    method: 'delete'
  })
}

// 导出三级专业
export function exportSyMajorMajor(query) {
  return request({
    url: '/sy/syMajorMajor/export',
    method: 'get',
    params: query
  })
}